Subject: Re: [EGIT PATCH] Fix invalid menubar and toolbar entries in plugin.xml

From: Tor Arne Vestbø <[email-masked]>
Date: Thu, 14 Aug 2008 21:13:51 +0200

Robin Rosenberg wrote:
>>> The menu entry was not used, and was causing an extra
>>> empty space in the menu bar.
> 
> When I applied this patch the Git menu disappeared. (3.3)

Ah, I see. It appears the menu was used, but because it had the wrong
path ('org.spearce.egit.ui.gitmenu' instead of 'additions') the four 
entries did not show up in 3.4. 

Either way I suggest the patch is still valid, because it removes
the Git menu from the menu bar. This is consistent with what other 
platform plugins do, ie. not populating the main menu bar with plugin
specific entries, but instead using sub menus, context menus and views.

In the long run we should probably also move the global toolbar entries
to the synchronize view, when I get the chance to look at implementing 
that. 

Tor Arne